<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="@dimen/twelve">

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/phoneTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="통화목록"
        android:textSize="@dimen/normalText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.google.android.material.switchmaterial.SwitchMaterial
        android:id="@+id/callInfo"
        android:text="사용 여부"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/phoneTitle"
        app:selectionRequired="true"
        app:singleSelection="true"/>

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/newsTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/todo_count"
        android:textSize="@dimen/normalText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/callInfo" />

    <TableLayout
        android:id="@+id/contentsTypes"
        app:layout_constraintTop_toBottomOf="@+id/newsTitle"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <TableRow android:id="@+id/normal_01" android:weightSum="3">
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/youtube"
                android:text="youtube"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/newsfeed"
                android:text="newsfeed"
                style="@style/tableItem"
                android:layout_height="wrap_content"/>
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/arca"
                android:text="arca"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
        </TableRow>

        <TableRow android:id="@+id/normal_02" android:weightSum="3">
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/reddit"
                android:text="reddit"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />

            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/dotax"
                android:text="dotax"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/fmkorae"
                android:text="fmkorae"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
        </TableRow>
        <TableRow  android:id="@+id/normal_03" android:weightSum="3">
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/dcinside"
                android:text="dcinside"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/ruliweb"
                android:text="ruliweb"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/clien"
                android:text="clien"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
        </TableRow>
        <TableRow  android:id="@+id/normal_04" android:weightSum="3">
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/theqoo"
                android:text="theqoo"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />

        </TableRow>

        <TableRow android:id="@+id/admin_01" android:weightSum="3">
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/most"
                android:text="most"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/tags"
                android:text="tags"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/reddit_nsfw"
                android:text="reddit_nsfw"
                style="@style/tableItem"
                android:layout_height="wrap_content"
                />
        </TableRow>
        <TableRow android:id="@+id/admin_02" android:weightSum="3">
            <com.google.android.material.switchmaterial.SwitchMaterial
                android:id="@+id/guru"
                android:text="guru"
                style="@style/tableItem"
                android:layout_height="wrap_content"/>
        </TableRow>

    </TableLayout>
    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/smsTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="문자 내역"
        android:textSize="@dimen/normalText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/contentsTypes" />

    <com.google.android.material.switchmaterial.SwitchMaterial
        android:id="@+id/smsInfos"
        android:text="사용 여부"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/smsTitle"
        app:selectionRequired="true"
        app:singleSelection="true"/>

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/notificationTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="알림 내역"
        android:textSize="@dimen/normalText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/smsInfos" />

    <com.google.android.material.switchmaterial.SwitchMaterial
        android:id="@+id/notificationInfos"
        android:text="표시 여부"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/notificationTitle"
        app:selectionRequired="true"
        app:singleSelection="true"/>

    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/nowPlayingTitle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="재생중인 곡"
        android:textSize="@dimen/normalText"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/notificationInfos" />

    <com.google.android.material.switchmaterial.SwitchMaterial
        android:id="@+id/nowPlaying"
        android:text="사용 여부"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/nowPlayingTitle"
        app:selectionRequired="true"
        app:singleSelection="true"/>

</androidx.constraintlayout.widget.ConstraintLayout>